Make annotation why you receive a mail from redmine depend on your notification options
Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

If your profile is set to 'mail me on all my projects' then the footer of the mail will still say "You received this because you are

involved".

This is a bit misleading to users as they suddenly receive mails and think that's because they're involved although they just set their

options to "all my projects".

History

#1 - 2009-03-25 18:21 - Jean-Philippe Lang

Actually, the default footer note is:

You have received this notification because you have either subscribed to it, or are involved in it.

 You can just change it in application settings.

#2 - 2013-03-18 12:39 - Dipan Mehta

I think the intent of the author is to say that the mail footer should describe: 'why you receive the mail' i.e.

you are asignee of the issue

you are the author of the issue

you have been added as a watcher (by user#xyz)

you have subscribed ...

Of course, this is quite a work to be achieved!

#3 - 2013-03-18 13:02 - Daniel Felix

Even if this is not meaned by the author, this would be a good extension to the current mailer.

I will set this to the roadmap of 2.4 as suggestion.

Maybe I have the time the next weeks to provide a patch for this.

#4 - 2013-03-18 13:03 - Daniel Felix

- Target version set to 2.4.0

#5 - 2013-04-21 09:07 - Gabriel Mazetto

It is also a good time to improve mail layout... current one could have some more style.

#6 - 2013-09-23 18:54 - Jean-Philippe Lang

- Target version deleted (2.4.0)

This would require to send many emails for each notification and would really slow down issue updates. I'm afraid it won't make it for 2.4.0.
